Bug 838069 - quick-start: redmine example dose not work for ruby-1.9
quick-start: redmine example dose not work for ruby-1.9
Product: OpenShift Origin
Classification: Red Hat
Component: Templates (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ram Ranganathan
libra bugs
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-07-06 07:52 EDT by Meng Bo
Modified: 2015-05-14 21:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-07-13 19:43:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-07-06 07:52:01 EDT
Description of problem:
(/var/lib/stickshift/b04ca07195cf407fa2e2b78a839e6dc2/app-root/runtime/repo/config/locales/ja.yml): found unknown escape character while parsing a quoted scalar at line 958 column 29 (Psych::SyntaxError)

Above error appears when access the ruby-1.9 redmine app. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.following the quick-start step to deploy redmine with ruby-1.9 app
Actual results:
error page shows with error message:
(/var/lib/stickshift/b04ca07195cf407fa2e2b78a839e6dc2/app-root/runtime/repo/config/locales/ja.yml): found unknown escape character while parsing a quoted scalar at line 958 column 29 (Psych::SyntaxError)

Expected results:
redmine hoem page should show.

Additional info:
it works for ruby-1.8 app normally.
Comment 1 Ram Ranganathan 2012-07-06 18:36:43 EDT
This is an error with the app -- not with ruby-1.9 cartridge

Reducing the sev/pri of this bug -- redmine 1.2.1 which is the version of the quickstart doesn't really support ruby1.9.3. This is the list of supported versions on the Redmine site: 

Would need to update the redmine quickstart.  Bug is not with the cartridge but w/ the quickstart.
Comment 2 Ram Ranganathan 2012-07-09 22:16:36 EDT
Created a new quickstart for Redmine 2.0.3 -- 

And also requires:  https://github.com/openshift/crankcase/pull/210 

or just yum install ImageMagick-devel.
Comment 3 Ram Ranganathan 2012-07-10 15:20:29 EDT
Fixed and merged pull request.
Comment 4 Attila Nagy 2012-07-11 03:45:47 EDT
Verified that Redmine 2.0 quick-start works with Ruby 1.9 cartridge.

Note You need to log in before you can comment on or make changes to this bug.